#include <stdio.h>
#include <stdlib.h>
#include <winb.h>
#include <te.h>
#include <fntb.h>
#include <gui.h>

extern int	orgDialogId ;
extern int	orgMesId[8] ;
extern int	orgOkBtnId ;
extern int	orgOkchk() ;
extern int	orgCanBtnId ;
extern int	orgSubDialogId ;
extern int	orgFrameNumId ;
extern int	orgSoundNumId ;
extern int	orgSoundSet() ;
extern int	orgSoundBtnId ;
extern int	orgSoundwriteOK() ;

#define ALIGN	4
#define OFFSET(type) (sizeof(MMIPACKET) + (sizeof(type)+ALIGN-1)/ALIGN*ALIGN)

/*	MMI_init pf[^	*/

/*	wb_	*/

MMIINIT	initDataIVDORG = { "MmiInit",  15, 0 } ;

/* orgDialogId */

static MMIPACKET d001 = {	&orgDialogId,
							NULL,
							&MJ_ALERTL40,
							OFFSET(ALERTL40),
							MS_NONE
						} ;
static ALERTL40	d001d = {	MS_BTLEFTL40 | MS_EVMOVEL40 | MS_EVMOSONL40 | MS_EVKEYONL40,
							 464, 148, 623, 331, 8, 4, 8,
							MS_SRECTL40 | MS_UFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0,
							   0,   0,   0,   0
						} ;

/* orgMesId[0] */

static MMIPACKET d002 = {	&orgMesId[0],
							&orgDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d002d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 481, 151, 564, 167, 8,15, 8,
							MS_NONEL40,
							"uOO ",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* orgOkBtnId */

static MMIPACKET d003 = {	&orgOkBtnId,
							&orgDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d003d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 480, 301, 537, 324,12, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							orgOkchk,
							0x8012
						} ;

/* orgCanBtnId */

static MMIPACKET d004 = {	&orgCanBtnId,
							&orgDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d004d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 551, 301, 608, 324,10, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							orgOkchk,
							0x8011
						} ;

/* orgMesId[4] */

static MMIPACKET d005 = {	&orgMesId[4],
							&orgDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d005d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 488, 305, 531, 321,10,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* orgMesId[5] */

static MMIPACKET d006 = {	&orgMesId[5],
							&orgDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d006d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 558, 305, 601, 321,10,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* orgSubDialogId */

static MMIPACKET d007 = {	&orgSubDialogId,
							&orgDialogId,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d007d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_FIXEDL40,
							 480, 169, 607, 294, 8, 4, 8,
							MS_DFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* orgMesId[3] */

static MMIPACKET d008 = {	&orgMesId[3],
							&orgSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d008d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 491, 178, 550, 195, 0,15, 8,
							MS_NONEL40,
							"t[",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* orgFrameNumId */

static MMIPACKET d009 = {	&orgFrameNumId,
							&orgSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d009d = 	{	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_FIXEDL40,
							 552, 179, 595, 195, 8, 4, 8,
							MS_NONEL40,
							0,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0,   0,9999,   1,   0,
							 263, 264
						} ;

/* orgSoundNumId */

static MMIPACKET d010 = {	&orgSoundNumId,
							&orgSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d010d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 488, 264, 548, 283, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							orgSoundSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							   0,   0,9999,   1,   0,
							 263, 264
						} ;

/* orgSoundBtnId */

static MMIPACKET d011 = {	&orgSoundBtnId,
							&orgSubDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d011d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 554, 263, 599, 286,12, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							orgSoundwriteOK,
							0x8012
						} ;

/* orgMesId[1] */

static MMIPACKET d012 = {	&orgMesId[1],
							&orgSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d012d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 490, 198, 606, 215, 0,15, 8,
							MS_NONEL40,
							"b8.6t[",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* orgMesId[2] */

static MMIPACKET d013 = {	&orgMesId[2],
							&orgSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d013d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 490, 219, 605, 236, 0,15, 8,
							MS_NONEL40,
							"160~120hbg",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* orgMesId[6] */

static MMIPACKET d014 = {	&orgMesId[6],
							&orgSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d014d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 489, 240, 562, 257, 0,15, 8,
							MS_NONEL40,
							"̐摗",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* orgMesId[7] */

static MMIPACKET d015 = {	&orgMesId[7],
							&orgSubDialogId,
							&MJ_MSGL40,
							0,
							MS_NONE
						} ;
static MSGL40	d015d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 561, 266, 593, 283, 8,15, 8,
							MS_NONEL40,
							" ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

